export default {
    //往缓存保存数据   注意 存储的如果是null 或者undefid 会存这些的字符形式  只能存字符
    set(key, value) {
        window.sessionStorage.setItem(key, JSON.stringify(value));
    },
    //根据key清除值
    clear(key) {
        window.sessionStorage.removeItem(key);
    },
    clearAll() {
        window.sessionStorage.clear();

    },
    //根据key读取缓存数据
    get(key) {
        let parse = null;
        try {
            parse = JSON.parse(window.sessionStorage.getItem(key));
        } catch (e) {
            parse = null;
        }
        return parse;
    }
}
