const express = require("express");
const app = express();
const vipLogin = require("./data/vip_login.json");
const adminLogin = require("./data/admin_login.json");
const adminPermission = require("./data/admin_permission.json");
const vipPermission = require("./data/vip_permission.json");
const orderlist = require("./data/orderlist.json");
const user = require("./data/user.json");
const sys = require("./data/sys.json");

const loginOut = require("./data/loginOut.json");
var bodyParser = require('body-parser')

app.use(bodyParser.urlencoded({ extended: false }))
const url = require("url");
app.post("/login", (req, res) => {
    let user = req.body.account
    // const user = url.parse(req.url, true).query;
    //console.log(user, "产参数");
    if (user === 'admin') {
        res.send(adminLogin)
    } else {
        res.send(vipLogin)
    }
})

app.post("/loginout", (req, res) => {
    res.send(loginOut)
})
app.get("/permission", (req, res) => {
    const user = url.parse(req.url, true).query.user;
    if (user === 'admin') {
        res.send(adminPermission)
    } else {
        res.send(vipPermission)
    }
})

app.get("/orderlist", (req, res) => {
    let params = req.query;
    console.log(params);
    res.send(orderlist)
})

app.get("/userlist", (req, res) => {
    let params = req.query;
    res.send(user)
})

app.get("/synclist", (req, res) => {
    let params = req.query;
    res.send(sys)
})


app.listen(5000, () => {
    console.log('服务器运行在5000');
})