import axios from '@/apirequest/http';
import base from './base'; // 导入接口域名列表
import qs from 'qs'

const article = {
    // 新闻列表    
    articleList(params) {
        console.log('我是 文件中 api');
        return axios.post(`${base.sq}/v1/get/group_data`, params);
    },
    articleDetail(id, params) {
        return axios.get(`${base.sq}/topic/${id}`, {
            params: params
        });
    },
    // post提交    
    login(params) {
        return axios.post(`${base.sq}/accesstoken`, qs.stringify(params));
    }
    // 其他接口…………
}

export default article;