
import sessionTool from '@/utils/sessionTool'

const state = {
  //设置属性 用来存储数据
  token: sessionTool.get('token') || '',
  userInfo: sessionTool.get('user') || '',
}

const getters = {
  token: state => state.token,
  userInfo: state => state.userInfo
}

const mutations = {
  LOGIN_IN(state, data) {
    sessionTool.set('token', data)
    state.token = data;
  },
  LOGIN_OUT(state, data) {
    sessionTool.clearAll();
    state.token = '';
  },
  UERINFO(state, data) {
    sessionTool.set('user', data)
    state.userInfo = data;

  }
}

const actions = {

}

export default {
  state,
  getters,
  mutations,
  actions
}

